#ifndef DATAPARSER_H
#define DATAPARSER_H

#include <QDir>
#include <QFile>
#include <QObject>
#include <QDomDocument>
#include <QXmlStreamWriter>
#include <Data/Datas.h>
#include <Data/FileData.h>
#include <Core/tools.h>
#include "Core/postprocessorsystem.h"

class DataParser : public QObject
{
   Q_OBJECT

public:
    explicit DataParser(QObject *parent = 0);
    ~DataParser() = default;

    void initialize(PostProcessorSystem *postProcessSystem);
    ServerSettings* getClientSettings();
    bool xmlParser(const QByteArray& array);
private:
    PostProcessorSystem *postProcessSystem;
};

#endif // DATAPARSER_H
